<%@ PAGE LANGUAGE="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Drawing" %>
<html>
<head>
<script runat="server">
void Page_Load(object sender, EventArgs e) {
	if (!IsPostBack) {
		datagrid1.DataSource = CreateDataSource();
		datagrid1.DataBind();

		datagrid2.DataSource = CreateDataSource();
		datagrid2.DataBind();
	}
}

ICollection CreateDataSource() {
	DirectoryInfo di = new DirectoryInfo(Server.MapPath("."));
	FileInfo[] fi = di.GetFiles();

	DataTable dt = new DataTable();
	DataRow dr;

	dt.Columns.Add(new DataColumn("fileid", typeof(int)));
	dt.Columns.Add(new DataColumn("filename", typeof(String)));
	dt.Columns.Add(new DataColumn("filesize", typeof(long)));
	dt.Columns.Add(new DataColumn("date", typeof(DateTime)));

	for (int i = 0; i < fi.Length; i++) {
		dr = dt.NewRow();
		dr[0] = i;
		dr[1] = fi[i].Name;
		dr[2] = fi[i].Length;
		dr[3] = fi[i].LastWriteTime;
		dt.Rows.Add(dr);
	}

	DataView dv = new DataView(dt);

	return dv;
}

void datagrid1_PageIndexChanged(object sender, DataGridPageChangedEventArgs e) {
	datagrid1.CurrentPageIndex = e.NewPageIndex;
	datagrid1.DataSource = CreateDataSource();
	datagrid1.DataBind();
}

void datagrid2_PageIndexChanged(object sender, DataGridPageChangedEventArgs e) {
	datagrid2.CurrentPageIndex = e.NewPageIndex;
	datagrid2.DataSource = CreateDataSource();
	datagrid2.DataBind();
}
</script>
</head>
<body>

<form runat="server">
	<div align="center">
	<asp:DataGrid id="datagrid1"
		AutoGenerateColumns="false"

		AllowPaging="true"
		PageSize="5"

		GridLines="None"
		Width="100%"
		CellSpacing="1"
		BorderWidth="5"
		BorderColor="#000080"

		OnPageIndexChanged="datagrid1_PageIndexChanged"

		runat="server">

		<HeaderStyle BackColor="#000080" ForeColor="white" />
		<ItemStyle ForeColor="black" BackColor="#ffffcc" />
		<AlternatingItemStyle ForeColor="black" BackColor="#ffff66" />
		<SelectedItemStyle ForeColor="white" BackColor="#000080" />

		<PagerStyle Mode="NumericPages" PageButtonCount="2"
			ForeColor="white" BackColor="#000080" />

		<Columns>
		<asp:BoundColumn HeaderText="t@C" DataField="filename" />
		<asp:BoundColumn HeaderText="TCY" DataField="filesize" ItemStyle-Width="20%" ItemStyle-HorizontalAlign="right" />
		<asp:BoundColumn HeaderText="XV" DataField="date" ItemStyle-Width="30%" />
		</Columns>
	</asp:DataGrid>

<hr>

	<asp:DataGrid id="datagrid2"
		AutoGenerateColumns="false"

		AllowPaging="true"
		PageSize="5"

		GridLines="None"
		Width="100%"
		CellSpacing="1"
		BorderWidth="5"
		BorderColor="#000080"

		OnPageIndexChanged="datagrid2_PageIndexChanged"

		runat="server">

		<HeaderStyle BackColor="#000080" ForeColor="white" />
		<ItemStyle ForeColor="black" BackColor="#ffffcc" />
		<AlternatingItemStyle ForeColor="black" BackColor="#ffff66" />
		<SelectedItemStyle ForeColor="white" BackColor="#000080" />

		<PagerStyle Mode="NextPrev" NextPageText="" PrevPageText="O"
			ForeColor="white" BackColor="#000080" />

		<Columns>
		<asp:BoundColumn HeaderText="t@C" DataField="filename" />
		<asp:BoundColumn HeaderText="TCY" DataField="filesize" ItemStyle-Width="20%" ItemStyle-HorizontalAlign="right" />
		<asp:BoundColumn HeaderText="XV" DataField="date" ItemStyle-Width="30%" />
		</Columns>
	</asp:DataGrid>

	<asp:Label id="Message" runat="server" />
	</div>
</form>
</body>
</html>
